package org.wontovlab.model.TO;

import org.wontovlab.model.Experiment;


public class ExperimentTO {

	private Long experimentId;
	private String name;
	private String description;
	private StepTO[] stepList;
	
	
	
	public ExperimentTO() {
	}
	
	public ExperimentTO(Experiment experiment) {
		this.experimentId = experiment.getExperimentId();
		this.description = experiment.getDescription();
		this.name = experiment.getName();
		
		stepList = new StepTO[experiment.getStepList().size()];
		
		if (experiment.getStepList() != null) {
			for (int i=0; i < experiment.getStepList().size(); i++) {
				this.stepList[i] = new StepTO(experiment.getStepList().get(i));
			}
		}
	}

	public ExperimentTO(Long experimentId, String name, String description, StepTO[] stepList) {
		super();
		this.experimentId = experimentId;
		this.description = description;
		//this.firstStep = firstStep;
		//this.lastStep = lastStep;
		this.stepList = stepList;
		this.name = name;
	}

	
	
	
	public Long getExperimentId() {
		return experimentId;
	}

	public void setExperimentId(Long experimentId) {
		this.experimentId = experimentId;
	}

	
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	
	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}


	public StepTO[] getStepList() {
		return stepList;
	}

	public void setStepList(StepTO[] stepList) {
		this.stepList = stepList;
	}
	

	
	
}
